package com.hand.app.pingAn.utils;

import com.alibaba.fastjson.JSONObject;
import com.pingan.openbank.api.sdk.client.ApiClient;
import com.pingan.openbank.api.sdk.common.http.HttpResult;
import com.pingan.openbank.api.sdk.entity.*;

import java.io.File;
import java.util.List;

public class ApiUtils {
    private static ApiClient apiClient = ApiClient.getInstance("pingAn.properties");
    private static JSONObject baseReqBody  = new JSONObject();
    private static String MrchCode = "0090108040000KTAR000";
    public static String AcctNo = "15000101414037";
    static{
        // todo 设置通用的请求参数，比如主账号，流水号，企业银企直连标准代码等
        baseReqBody.put("MrchCode",MrchCode);
        baseReqBody.put("MainAccount",AcctNo);
    }

    public static HttpResult invoke(String interfaceName,JSONObject requestBody){
        SdkRequest sdkRequest = new SdkRequest();
        sdkRequest.setInterfaceName("V1.0/"+interfaceName);
        sdkRequest.setBody(requestBody);
        return apiClient.invoke(sdkRequest);
    }

    public static JSONObject getBaseReqBody(){
        return baseReqBody.clone();
    }

}
